Subject: bug#28855: closed (Re: bug#28855: 26.0.90; display-line-numbers-mode does not respect (line|wrap)-prefix '(space :align-to N) text property)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Oct 2017 09:41:01 +0000

Your bug report

#28855: 26.0.90; display-line-numbers-mode does not respect (line|wrap)-prefix '(space :align-to N) text property

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28855: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28855
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28855: 26.0.90; display-line-numbers-mode does not respect (line|wrap)-prefix '(space :align-to N) text property
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 20 Oct 2017 12:40:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 18 Oct 2017 20:55:20 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> > Date: Wed, 18 Oct 2017 19:44:50 +0200
> > From: martin rudalics <[email-masked]>
> > CC: [email-masked], Stefan Monnier <[email-masked]>, 
> >  John Wiegley <[email-masked]>
> > 
> >  > Martin, any comments or thoughts about this, before I go out and make
> >  > the code changes to implement this?
> > 
> > I'd make the change.
> 
> OK, will do.

Now done on the release branch.  I'm therefore marking the bug done.

Thanks to everyone who provided feedback and ideas in this
discussions.

Subject: 26.0.90; display-line-numbers-mode does not respect (line|wrap)-prefix '(space :align-to N) text property
From: Paul Rankin <[email-masked]>
To: [email-masked]
Date: Mon, 16 Oct 2017 13:38:11 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

display-line-numbers-mode does not respect line-prefix or wrap-prefix text properties when set as '(space :align-to N).

To reproduce:

1. emacs -Q
3. type some text in *scratch* buffer
2. M-: (put-text-property (line-beginning-position) (line-end-position) 'line-prefix '(space :align-to 2))
3. M-x display-line-numbers-mode

Expected results:

Line numbers should be displayed before line-prefix (and/or wrap-prefix) space of 2 columns.

Actual results:

Line numbers eat the line-prefix and wrap-prefix space, effectively aligning the text back to 0.

Configuration:

GNU Emacs 26.0.90 (build 1, x86_64-apple-darwin17.0.0) of 2017-10-15
macOS 10.13 (17A405)

MacBook Pro (Retina, 15-inch, Mid 2015)
2.2 GHz Intel Core i7
16 GB 1600 MHz DDR3
Intel Iris Pro 1536 MB